petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexGetRedundantDM

Get a copy of the DMPlex that is completely copied on each process.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetRedundantDM(DM dm, PetscSF *sf, DM *redundantMesh)

Collective on dm

### Input Parameters

dm -the original DMPlex object

### Output Parameters

| sf | - the PetscSF used for point distribution (optional)
| redundantMesh | - the redundant DM object, or NULL

### See Also

DMPlexDistribute(), DMPlexGetGatherDM()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages